Skip to main content
GET
/
transactions
/
{transactionId}
/
status
transaction status
curl --request GET \
  --url https://api.example.com/transactions/{transactionId}/status \
  --header 'Authorization: Bearer <token>'
{
  "paymentUrl": "string",
  "paymentId": "string",
  "expireTime": 0,
  "status": "string"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

trace-id
string
default:{{$string.uuid}}

Path Parameters

transactionId
string
required

Response

200 - application/json
paymentUrl
string
required
paymentId
string
required
expireTime
integer
required
status
enum<string>
required
Available options:
pending,
processing,
completed-with-success,
completed-with-failure,
expired,
closed,
refunded